package org.linlinjava.jz.db.util.hm;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class HmTicketActionContans {

	/**
	 * 1. 电话联系雇主（带出拨号器 - 雇主电话） 2. 电话联系保姆（带出拨号器 -保姆电话） 3. 线下联系（无拨号器） 4. 保姆到店（无拨号器）
	 */
	public static short HM_FLOW_TYPE_1 = 1;
	public static short HM_FLOW_TYPE_2 = 2;
	public static short HM_FLOW_TYPE_3 = 3;
	public static short HM_FLOW_TYPE_4 = 4;
	
	/**
	 * 创建任务时，任务来源
	 * 1.  雇主电话反馈
		2. 保姆电话反馈
		3. 雇主到店反馈
		4.保姆到店反馈
		5. 雇主线下反馈
	 */
	public static int TASK_SOURCE_TYPE_101=101;
	public static int TASK_SOURCE_TYPE_102=102;
	public static int TASK_SOURCE_TYPE_103=103;
	public static int TASK_SOURCE_TYPE_104=104;
	public static int TASK_SOURCE_TYPE_105=105;

	public static String getFlowComment(short type, String phone) {
		if (type == HM_FLOW_TYPE_1) {
			return "电话联系雇主：" + phone;
		}
		if (type == HM_FLOW_TYPE_2) {
			return "电话联系保姆：" + phone;
		}
		if (type == HM_FLOW_TYPE_3) {
			return "线下联系";
		}
		if (type == HM_FLOW_TYPE_4) {
			return "保姆到店";
		}
		return "";
	}

	
	
	/**
	 * 添加跟进记录的跟进类型
	 * @return
	 */
	public static List<Map<String, Object>> getFollowTypeList() {
		List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();
		Map<String, Object> e1 = new HashMap<String, Object>();
		e1.put("type", HM_FLOW_TYPE_1);
		e1.put("typeName", "电话联系雇主");
		Map<String, Object> e2 = new HashMap<String, Object>();
		e2.put("type", HM_FLOW_TYPE_2);
		e2.put("typeName", "电话联系保姆");

		Map<String, Object> e3 = new HashMap<String, Object>();
		e3.put("type", HM_FLOW_TYPE_3);
		e3.put("typeName", "线下联系");

		Map<String, Object> e4 = new HashMap<String, Object>();
		e4.put("type", HM_FLOW_TYPE_4);
		e4.put("typeName", "保姆到店");

		list.add(e1);
		list.add(e2);
		list.add(e3);
		list.add(e4);

		return list;
	}
}
